<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * @file include/conf.php
 * Archivo de configuración del sistema
 *
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */

/*
 * Este archivo de configuración sigue el patrón definido 
 * en http://wiki.moondragonlab.com/Proceso_de_funcionamiento_de_MoonDragon
 */

/* 
 * Carga de la librería Core
 * La librería core es la base de todo el sistema por lo que su carga es de manera especial
 */

require_once 'include/lib/core/lib.core.inc';

// Registro del manejo de errores

include 'include/conf/errorReporting.inc';
ErrorHandler::init( $e_debug, $e_system_info, $e_deprecated );

// Configuración de la base de datos

$md_database = Database::getInstance();
$md_database->setHost( '' );
$md_database->setUser( '' );
$md_database->setPassword( '' );
$md_database->setDatabase( '' );
# include 'include/conf/database.inc'
// @todo cargar información de la base de datos desde un XML

// Inicio de sesión

$md_session = Session::getInstance();

include 'include/conf/session.php';

// Envío de cabeceras

# Nada por el momento

// Crear árbol de secciones

include 'include/conf/sections.inc'; // @todo cargar árbol de secciones desde un XML

// Valores de configuración del sistema

include 'include/conf/registry.inc';

include 'include/conf/vars.php';

// Cargar librerías externas al sistema

include 'include/conf/libraries.inc'; // @todo cargar librerías desde un XML

// Ejecución de procesos automáticos

Libs::autorun();

 
?>
 