<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * Modelo base para MoonDragon
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 * @abstract
 */
 
abstract class Model
{
	//**********************************************************************************
	// Métodos mágicos
	//**********************************************************************************
	
	/**
	 * Constructor de la clase
	 * @return void
	 * @final
	 */
	
	final public function __construct()
	{
		$this->init();
		Registry::set( 'model', $this );
	}
	
	//**********************************************************************************
	// Métodos privados	
	//**********************************************************************************
	
	/**
	 * Devuelve la base de datos del sistema
	 * @return Database
	 */
	
	protected function getDatabase()
	{
		$database = Database::getInstance();
		
		return $database;
	}
	
	/**
	 * Inicializa las propiedades del objeto
	 * @return void
	 */
	protected function init()
	{
	}
}
 
?>
 