<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * Almacena información general del sistema
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
 
 class Registry
{
	//**********************************************************************************
	// Variables Privadas
	//**********************************************************************************
	
	/**
	 * Variables de registro del sistema
	 * @var array
	 */
	private static $registry;
	
	/**
	 * Constantes del sistema
	 * @var array
	 */
	private static $constants;
	
	//**********************************************************************************
	// Métodos estáticos	
	//**********************************************************************************
	
	/**
	 * Modifica una variable del sistema
	 * @param string $name
	 * @param string $value
	 * @return void
	 */
	
	public static function set( $name, $value )
	{
		self::$registry[$name] = $value;
	}
	
	/**
	 * Obtiene una variable o constante del sistema
	 * @param string $name
	 * @return mixed
	 */
	
	public static function get( $name )
	{
		if( isset( self::$constants[$name] ) )
		{
			return self::$constants[$name];
		}
		else
		{
			return self::$registry[$name];
		}
   	}
	
   	/**
   	 * Modifica una constante, solo se puede hacer una vez
   	 * @param string $name
   	 * @param string $value
   	 * @return void
   	 */
   	
	public static function setConst( $name, $value )
	{
		if( !isset( self::$constants[$name] ) )
		{
			self::$constants[$name] = $value;
		}
	}
}
 
?>
 