<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * Información básica de la sección
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
 
class Section
{
	//**********************************************************************************
	// Variables Privadas
	//**********************************************************************************
	
	/**
	 * Identificador de la seccion
	 * @var string
	 */
	private $id;
	
	/**
	 * Nombre de la seccion
	 * @var string
	 */
	private $name;
	
	/**
	 * Controlador de la seccion
	 * @var string
	 */
	private $controller;
	
	/**
	 * Tarea por defecto de la seccion
	 * @var string
	 */
	private $task;
	
	/**
	 * Nivel de permisos de la seccion
	 * @var int
	 */
	private $level;
		
	//**********************************************************************************
	// Métodos mágicos
	//**********************************************************************************
	
	/**
	 * Constructor de la clase
	 * 
	 * @param string $id
	 * @param string $name
	 * @param int[optional] $level
	 * @param string[optional] $controller
	 * @param srting[optional] $task
	 * @return void
	 */
	public function __construct( $id, $name, $level = '', $controller = '', $task = '' )
	{
		$this->id = $id;

		$this->name = $name;
		
		$this->level = ( $level == '' )?Session::ANON:$level;
		
		$this->controller = ( $controller == '' )?Registry::get( 'DEFAULT_CONTROLLER' ):$controller;
		
		$this->task = $task;
	}
	
	//**********************************************************************************
	// Métodos para el manejo de variables
	//**********************************************************************************
	
	/**
	 * Obtiene la variable seleccionada
	 * @param string $name
	 * @return mixed
	 */
	public function get( $name )
	{
		return $this->$name;
	}
	
	/**
	 * Modifica la variable seleccionada
	 * @param string $name
	 * @param mixed $value
	 * @return void
	 */
	public function set( $name, $value )
	{
		$this->$name = $value;
	}
}
 
?>
 