<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * Almacenamiento de variables globales del sistema
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
 
class Vars
{
	//**********************************************************************************
	// Variables Privadas
	//**********************************************************************************
	
	/**
	 * Variables globales del sistema
	 * @var array
	 */
	private static $vars;
	
	//**********************************************************************************
	// Métodos estáticos	
	//**********************************************************************************
	
	/**
	 * Modifica una variable global
	 * @param string $name
	 * @param string $value
	 * @return void
	 */
	
	public static function set( $name, $value )
	{
		self::$vars[$name] = $value;
	}
	
	/**
	 * Obtiene el valor de la variable seleccionada
	 * @param string $name
	 * @return mixed
	 */
	
	public static function get( $name )
	{
		return self::$vars[$name];
   	}	
   	
   	/**
   	 * Devuelve todas las variables globales
   	 * @return array
   	 */
   	
   	public static function getVars()
   	{
   		return self::$vars;
   	}
}
 
?>
 