<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * @file index.php
 * Procesamiento central del sistema
 *
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
 
//Se carga la configuración del sistema

require 'include/conf.php';

// Activar el buffer de salida

# $_buffer = Buffer::getInstance();
# $_buffer->start( 'salida' );

// Identificar la sección actual

if( isset( $_REQUEST['sec'] ) )
{
	$_section = $_REQUEST['sec'];
}
else
{
	$_section = Registry::get( 'DEFAULT_SECTION' );
}

SectionTree::initSection( $_section );

Vars::set( 'section', Registry::get('section') );
Vars::set( 'section_name', Registry::get('section_name') );

// Se obtiene el controlador asignado a la seccion

$controller = SectionTree::getControllerFrom( Registry::get( 'section' ) );

// Se obtiene la tarea solicitadas

if( isset( $_REQUEST['task'] ) )
{
	$_task = $_REQUEST['task'];
}
else
{
	$_task = '';
}

// Se ejecuta la tarea

if( !$md_session->authenticate( Registry::get( 'level' ) ) )
{
	$_task = 'unauthorized';
}

$controller->run( $_task );

// Se imprime a pantalla el contenido

# $_buffer->end();

$view = Registry::get( 'view' );

if( !($view instanceof View) )
{
	$view_name = Registry::get('DEFAULT_VIEW');
	$view = new $view_name();
}

echo $view;

?>
 